apiVersion: helm.toolkit.fluxcd.io/v2
kind: HelmRelease
metadata:
  name: camunda
  namespace: camunda
spec:
  interval: 10m
  dependsOn:
    - name: istio-base
      namespace: istio-system
    - name: istiod
      namespace: istio-system
  chart:
    spec:
      chart: camunda-contour
      version: "11.0.14"
      sourceRef:
        kind: HelmRepository
        name: yc-oci-charts
        namespace: flux-system
      interval: 10m
  install:
    remediation:
      retries: 3
  upgrade:
    remediation:
      retries: 3
